Summary: A program to extract Microsoft Cabinet files
Name: cabextract
Version: 1.9
Release: 1
License: GPL
Group: Applications/Archiving
Source0: http://www.cabextract.org.uk/%{name}-%{version}.tar.gz
Patch0: %{name}-%{version}-aix.patch
URL: http://www.cabextract.org.uk/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: tofrodos, sed, patch
BuildRequires: gettext, libiconv >= 1.15-1, libmspack-devel >= 0.10.1alpha-1
Requires: gettext, libiconv >= 1.15-1, libmspack >= 0.10.1alpha-1

%description
Cabinet (.CAB) files are a form of archive, which Microsoft use to
distribute their software, and things like Windows Font Packs. The
cabextract program unpacks these files.


%prep
export PATH=/opt/freeware/bin:$PATH
%setup -q
fromdos *
%patch0


%build
./configure \
    --prefix=%{_prefix} \
    --mandir=%{_mandir} \
    --with-external-libmspack=yes
make %{?_smp_mflags}


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
make DESTDIR=${RPM_BUILD_ROOT} install

/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :

cd ${RPM_BUILD_ROOT}
mkdir -p usr/bin
cd usr/bin
ln -sf ../..%{_bindir}/* .


%clean
[ ${RPM_BUILD_ROOT} != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system,-)
%doc AUTHORS ChangeLog NEWS README
%attr(0755,root,system) %{_bindir}/cabextract
%{_mandir}/man1/cabextract.1*
/usr/bin/cabextract


%changelog
* Thu May 16 2019 Michael Perzl <michael@perzl.org> - 1.9-1
- updated to version 1.9

* Mon Oct 29 2018 Michael Perzl <michael@perzl.org> - 1.8-1
- updated to version 1.8

* Sun Oct 28 2018 Michael Perzl <michael@perzl.org> - 1.7-1
- updated to version 1.7

* Wed Aug 26 2015 Michael Perzl <michael@perzl.org> - 1.6-1
- updated to version 1.6

* Wed Aug 26 2015 Michael Perzl <michael@perzl.org> - 1.5-1
- updated to version 1.5

* Thu May 12 2011 Michael Perzl <michael@perzl.org> - 1.4-1
- updated to version 1.4

* Mon Jul 26 2010 Michael Perzl <michael@perzl.org> - 1.3-1
- first version for AIX V5.1 and higher
